### Method

# Adw Carouselset_allow_mouse_drag

#### Declaration [src]

    void
    adw_carousel_set_allow_mouse_drag (
      AdwCarousel* self,
      gboolean allow_mouse_drag
    )

#### Description [src]

Sets whether `self` can be dragged with mouse pointer.

If `allow_mouse_drag` is `FALSE`, dragging is only available on touch.

Sets property | `Adw.Carousel:allow-mouse-drag`

#### Parameters

`allow_mouse_drag`

  Type: `gboolean`

  Whether `self` can be dragged with mouse pointer.